Convert browserMountPoints.inc to an overlay
Not sure there's any reason not to do this. Mano, from poking about gecko-dev, it seems you wrote the include strategy here for Firefox 1.5... I don't suppose you still have advice about whether going for an overlay would be a bad idea? :-)